import { RouterConfig } from "./types";
import { APIGatewayProxyHandler } from "aws-lambda";
import { RouteHandlers } from "./router";
export declare type ApiGatewayHandlerWithOpenApi = APIGatewayProxyHandler & {
    toOpenApiPart: () => string;
};
export declare const APIEventHandler: (routes: RouteHandlers, config?: RouterConfig) => ApiGatewayHandlerWithOpenApi;
